diff --git c/scala/collection/mutable/BufferLike.class w/scala/collection/mutable/BufferLike.class
index aae26702bd..36dee06928 100644
--- c/scala/collection/mutable/BufferLike.class
+++ w/scala/collection/mutable/BufferLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "BufferLike.scala"
-public interface scala.collection.mutable.BufferLike extends scala.collection.generic.Growable,scala.collection.generic.Shrinkable,scala.collection.script.Scriptable,scala.collection.generic.Subtractable,scala.collection.mutable.SeqLike,scala.ScalaObject,java.lang.Cloneable{
+public interface scala.collection.mutable.BufferLike extends scala.collection.generic.Growable,scala.collection.generic.Shrinkable,scala.collection.script.Scriptable,scala.collection.generic.Subtractable,scala.collection.mutable.SeqLike,java.lang.Cloneable{
 public abstract java.lang.Object apply(int);
   Signature: (I)Ljava/lang/Object;
 
diff --git c/scala/collection/mutable/BufferProxy.class w/scala/collection/mutable/BufferProxy.class
index ef1dc5e102..95b1909ab0 100644
--- c/scala/collection/mutable/BufferProxy.class
+++ w/scala/collection/mutable/BufferProxy.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "BufferProxy.scala"
-public interface scala.collection.mutable.BufferProxy extends scala.collection.mutable.Buffer,scala.Proxy,scala.ScalaObject{
+public interface scala.collection.mutable.BufferProxy extends scala.collection.mutable.Buffer,scala.Proxy{
 public abstract scala.collection.mutable.Buffer self();
   Signature: ()Lscala/collection/mutable/Buffer;
 
diff --git c/scala/collection/mutable/Builder.class w/scala/collection/mutable/Builder.class
index 72765fe39a..ed6c3dd4ad 100644
--- c/scala/collection/mutable/Builder.class
+++ w/scala/collection/mutable/Builder.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "Builder.scala"
-public interface scala.collection.mutable.Builder extends scala.collection.generic.Growable,scala.ScalaObject{
+public interface scala.collection.mutable.Builder extends scala.collection.generic.Growable{
 public abstract scala.collection.mutable.Builder $plus$eq(java.lang.Object);
   Signature: (Ljava/lang/Object;)Lscala/collection/mutable/Builder;
 
diff --git c/scala/collection/mutable/DefaultEntry.class w/scala/collection/mutable/DefaultEntry.class
index 8007e98815..179fee08ac 100644
--- c/scala/collection/mutable/DefaultEntry.class
+++ w/scala/collection/mutable/DefaultEntry.class
@@ -1,6 +1,6 @@
 
 Compiled from "DefaultEntry.scala"
-public final class scala.collection.mutable.DefaultEntry extends java.lang.Object implements scala.collection.mutable.HashEntry,scala.Serializable,scala.ScalaObject{
+public final class scala.collection.mutable.DefaultEntry extends java.lang.Object implements scala.collection.mutable.HashEntry,scala.Serializable{
 private final java.lang.Object key;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/mutable/DefaultMapModel.class w/scala/collection/mutable/DefaultMapModel.class
index 8fc1fe414b..29f4fb31d2 100644
--- c/scala/collection/mutable/DefaultMapModel.class
+++ w/scala/collection/mutable/DefaultMapModel.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "DefaultMapModel.scala"
-public interface scala.collection.mutable.DefaultMapModel extends scala.collection.mutable.Map,scala.ScalaObject{
+public interface scala.collection.mutable.DefaultMapModel extends scala.collection.mutable.Map{
 public abstract scala.collection.mutable.DefaultEntry findEntry(java.lang.Object);
   Signature: (Ljava/lang/Object;)Lscala/collection/mutable/DefaultEntry;
 
diff --git c/scala/collection/mutable/DoubleLinkedList.class w/scala/collection/mutable/DoubleLinkedList.class
index aca0aaae69..2fd8bd62ae 100644
--- c/scala/collection/mutable/DoubleLinkedList.class
+++ w/scala/collection/mutable/DoubleLinkedList.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "DoubleLinkedList.scala"
-public class scala.collection.mutable.DoubleLinkedList extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.LinearSeq,scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.DoubleLinkedListLike,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.DoubleLinkedList extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.LinearSeq,scala.collection.mutable.DoubleLinkedListLike,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/DoubleLinkedListLike.class w/scala/collection/mutable/DoubleLinkedListLike.class
index 892aae63a0..6899de1ab6 100644
--- c/scala/collection/mutable/DoubleLinkedListLike.class
+++ w/scala/collection/mutable/DoubleLinkedListLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "DoubleLinkedListLike.scala"
-public interface scala.collection.mutable.DoubleLinkedListLike extends scala.collection.mutable.SeqLike,scala.collection.mutable.LinkedListLike,scala.ScalaObject{
+public interface scala.collection.mutable.DoubleLinkedListLike extends scala.collection.mutable.LinkedListLike{
 public abstract void scala$collection$mutable$DoubleLinkedListLike$$super$insert(scala.collection.mutable.Seq);
   Signature: (Lscala/collection/mutable/Seq;)V
 
diff --git c/scala/collection/mutable/FlatHashTable.class w/scala/collection/mutable/FlatHashTable.class
index 949123e811..924aaf4f60 100644
--- c/scala/collection/mutable/FlatHashTable.class
+++ w/scala/collection/mutable/FlatHashTable.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //HashUtils=class scala/collection/mutable/FlatHashTa
 public abstract #= # of #; //HashUtils$class=class scala/collection/mutable/FlatHashTable$HashUtils$class of class scala/collection/mutable/FlatHashTable
 
 Compiled from "FlatHashTable.scala"
-public interface scala.collection.mutable.FlatHashTable extends scala.collection.mutable.FlatHashTable$HashUtils,scala.ScalaObject{
+public interface scala.collection.mutable.FlatHashTable extends scala.collection.mutable.FlatHashTable$HashUtils{
 public abstract boolean scala$collection$mutable$FlatHashTable$$tableDebug();
   Signature: ()Z
 
diff --git c/scala/collection/mutable/GrowingBuilder.class w/scala/collection/mutable/GrowingBuilder.class
index 0feaeb35bc..71f22acd6f 100644
--- c/scala/collection/mutable/GrowingBuilder.class
+++ w/scala/collection/mutable/GrowingBuilder.class
@@ -1,6 +1,6 @@
 
 Compiled from "GrowingBuilder.scala"
-public class scala.collection.mutable.GrowingBuilder extends java.lang.Object implements scala.collection.mutable.Builder,scala.ScalaObject{
+public class scala.collection.mutable.GrowingBuilder extends java.lang.Object implements scala.collection.mutable.Builder{
 private final scala.collection.generic.Growable empty;
   Signature: Lscala/collection/generic/Growable;
 
diff --git c/scala/collection/mutable/HashMap.class w/scala/collection/mutable/HashMap.class
index 6bf9aa562b..cc19ff57e4 100644
--- c/scala/collection/mutable/HashMap.class
+++ w/scala/collection/mutable/HashMap.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //HashUtils=class scala/collection/mutable/HashTable$
 public abstract #= # of #; //HashUtils$class=class scala/collection/mutable/HashTable$HashUtils$class of class scala/collection/mutable/HashTable
 
 Compiled from "HashMap.scala"
-public class scala.collection.mutable.HashMap extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.collection.mutable.MapLike,scala.collection.mutable.HashTable,scala.collection.CustomParallelizable,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.HashMap extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.collection.mutable.HashTable,scala.collection.CustomParallelizable,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/HashSet.class w/scala/collection/mutable/HashSet.class
index 2604c99170..28ccaab848 100644
--- c/scala/collection/mutable/HashSet.class
+++ w/scala/collection/mutable/HashSet.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //HashUtils=class scala/collection/mutable/FlatHashTa
 public abstract #= # of #; //HashUtils$class=class scala/collection/mutable/FlatHashTable$HashUtils$class of class scala/collection/mutable/FlatHashTable
 
 Compiled from "HashSet.scala"
-public class scala.collection.mutable.HashSet extends scala.collection.mutable.AbstractSet implements scala.collection.mutable.Set,scala.collection.generic.GenericSetTemplate,scala.collection.mutable.SetLike,scala.collection.mutable.FlatHashTable,scala.collection.CustomParallelizable,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.HashSet extends scala.collection.mutable.AbstractSet implements scala.collection.mutable.Set,scala.collection.mutable.FlatHashTable,scala.collection.CustomParallelizable,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/HashTable.class w/scala/collection/mutable/HashTable.class
index 84194b133f..bd24a6db79 100644
--- c/scala/collection/mutable/HashTable.class
+++ w/scala/collection/mutable/HashTable.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //HashUtils=class scala/collection/mutable/HashTable$
 public abstract #= # of #; //HashUtils$class=class scala/collection/mutable/HashTable$HashUtils$class of class scala/collection/mutable/HashTable
 
 Compiled from "HashTable.scala"
-public interface scala.collection.mutable.HashTable extends scala.collection.mutable.HashTable$HashUtils,scala.ScalaObject{
+public interface scala.collection.mutable.HashTable extends scala.collection.mutable.HashTable$HashUtils{
 public abstract int _loadFactor();
   Signature: ()I
 
diff --git c/scala/collection/mutable/History.class w/scala/collection/mutable/History.class
index 38daab785d..f27ed32575 100644
--- c/scala/collection/mutable/History.class
+++ w/scala/collection/mutable/History.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "History.scala"
-public class scala.collection.mutable.History extends scala.collection.mutable.AbstractIterable implements scala.collection.mutable.Subscriber,scala.collection.mutable.Iterable,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.History extends scala.collection.mutable.AbstractIterable implements scala.collection.mutable.Subscriber,scala.collection.mutable.Iterable,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/ImmutableMapAdaptor.class w/scala/collection/mutable/ImmutableMapAdaptor.class
index ff0c739847..31ee046076 100644
--- c/scala/collection/mutable/ImmutableMapAdaptor.class
+++ w/scala/collection/mutable/ImmutableMapAdaptor.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ImmutableMapAdaptor.scala"
-public class scala.collection.mutable.ImmutableMapAdaptor extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.ImmutableMapAdaptor extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.Serializable{
 private scala.collection.immutable.Map imap;
   Signature: Lscala/collection/immutable/Map;
 
diff --git c/scala/collection/mutable/ImmutableSetAdaptor.class w/scala/collection/mutable/ImmutableSetAdaptor.class
index 443ee46861..e094398792 100644
--- c/scala/collection/mutable/ImmutableSetAdaptor.class
+++ w/scala/collection/mutable/ImmutableSetAdaptor.class
@@ -1,6 +1,6 @@
 
 Compiled from "ImmutableSetAdaptor.scala"
-public class scala.collection.mutable.ImmutableSetAdaptor extends scala.collection.mutable.AbstractSet implements scala.collection.mutable.Set,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.ImmutableSetAdaptor extends scala.collection.mutable.AbstractSet implements scala.collection.mutable.Set,scala.Serializable{
 private scala.collection.immutable.Set set;
   Signature: Lscala/collection/immutable/Set;
 
diff --git c/scala/collection/mutable/IndexedSeq.class w/scala/collection/mutable/IndexedSeq.class
index 1e675d4642..eb8ee7e987 100644
--- c/scala/collection/mutable/IndexedSeq.class
+++ w/scala/collection/mutable/IndexedSeq.class
@@ -1,6 +1,6 @@
 
 Compiled from "IndexedSeq.scala"
-public interface scala.collection.mutable.IndexedSeq extends scala.collection.mutable.Seq,scala.collection.IndexedSeq,scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.IndexedSeqLike,scala.ScalaObject{
+public interface scala.collection.mutable.IndexedSeq extends scala.collection.mutable.Seq,scala.collection.IndexedSeq,scala.collection.mutable.IndexedSeqLike{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/mutable/IndexedSeqLike.class w/scala/collection/mutable/IndexedSeqLike.class
index 5a2f50fc28..4b39434ab7 100644
--- c/scala/collection/mutable/IndexedSeqLike.class
+++ w/scala/collection/mutable/IndexedSeqLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "IndexedSeqLike.scala"
-public interface scala.collection.mutable.IndexedSeqLike extends scala.collection.IndexedSeqLike,scala.ScalaObject{
+public interface scala.collection.mutable.IndexedSeqLike extends scala.collection.IndexedSeqLike{
 public abstract scala.collection.mutable.IndexedSeq thisCollection();
   Signature: ()Lscala/collection/mutable/IndexedSeq;
 
diff --git c/scala/collection/mutable/IndexedSeqView$AbstractTransformed.class w/scala/collection/mutable/IndexedSeqView$AbstractTransformed.class
index 09930fa6d0..f4674c2d87 100644
--- c/scala/collection/mutable/IndexedSeqView$AbstractTransformed.class
+++ w/scala/collection/mutable/IndexedSeqView$AbstractTransformed.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //Transformed$class=class scala/collection/mutable/In
 public abstract #= # of #; //AbstractTransformed=class scala/collection/mutable/IndexedSeqView$AbstractTransformed of class scala/collection/mutable/IndexedSeqView
 
 Compiled from "IndexedSeqView.scala"
-public abstract class scala.collection.mutable.IndexedSeqView$AbstractTransformed extends scala.collection.SeqViewLike$AbstractTransformed implements scala.collection.mutable.IndexedSeqView$Transformed,scala.ScalaObject{
+public abstract class scala.collection.mutable.IndexedSeqView$AbstractTransformed extends scala.collection.SeqViewLike$AbstractTransformed implements scala.collection.mutable.IndexedSeqView$Transformed{
 public final scala.collection.mutable.IndexedSeqView $outer;
   Signature: Lscala/collection/mutable/IndexedSeqView;
 
diff --git c/scala/collection/mutable/IndexedSeqView$DroppedWhile.class w/scala/collection/mutable/IndexedSeqView$DroppedWhile.class
index 4884da8c08..0d756b231f 100644
--- c/scala/collection/mutable/IndexedSeqView$DroppedWhile.class
+++ w/scala/collection/mutable/IndexedSeqView$DroppedWhile.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Transformed=class scala/collection/mutable/IndexedS
 public abstract #= # of #; //DroppedWhile=class scala/collection/mutable/IndexedSeqView$DroppedWhile of class scala/collection/mutable/IndexedSeqView
 
 Compiled from "IndexedSeqView.scala"
-public interface scala.collection.mutable.IndexedSeqView$DroppedWhile extends scala.collection.SeqViewLike$DroppedWhile,scala.collection.mutable.IndexedSeqView$Transformed,scala.ScalaObject{
+public interface scala.collection.mutable.IndexedSeqView$DroppedWhile extends scala.collection.SeqViewLike$DroppedWhile,scala.collection.mutable.IndexedSeqView$Transformed{
 public abstract void update(int, java.lang.Object);
   Signature: (ILjava/lang/Object;)V
 
diff --git c/scala/collection/mutable/IndexedSeqView$Filtered.class w/scala/collection/mutable/IndexedSeqView$Filtered.class
index 9f99e1916d..685b2e48be 100644
--- c/scala/collection/mutable/IndexedSeqView$Filtered.class
+++ w/scala/collection/mutable/IndexedSeqView$Filtered.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Filtered=class scala/collection/mutable/IndexedSeqV
 public abstract #= # of #; //Transformed=class scala/collection/mutable/IndexedSeqView$Transformed of class scala/collection/mutable/IndexedSeqView
 
 Compiled from "IndexedSeqView.scala"
-public interface scala.collection.mutable.IndexedSeqView$Filtered extends scala.collection.SeqViewLike$Filtered,scala.collection.mutable.IndexedSeqView$Transformed,scala.ScalaObject{
+public interface scala.collection.mutable.IndexedSeqView$Filtered extends scala.collection.SeqViewLike$Filtered,scala.collection.mutable.IndexedSeqView$Transformed{
 public abstract void update(int, java.lang.Object);
   Signature: (ILjava/lang/Object;)V
 
diff --git c/scala/collection/mutable/IndexedSeqView$Reversed.class w/scala/collection/mutable/IndexedSeqView$Reversed.class
index bcd897ba29..e5883d11cc 100644
--- c/scala/collection/mutable/IndexedSeqView$Reversed.class
+++ w/scala/collection/mutable/IndexedSeqView$Reversed.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Reversed=class scala/collection/mutable/IndexedSeqV
 public abstract #= # of #; //Transformed=class scala/collection/mutable/IndexedSeqView$Transformed of class scala/collection/mutable/IndexedSeqView
 
 Compiled from "IndexedSeqView.scala"
-public interface scala.collection.mutable.IndexedSeqView$Reversed extends scala.collection.SeqViewLike$Reversed,scala.collection.mutable.IndexedSeqView$Transformed,scala.ScalaObject{
+public interface scala.collection.mutable.IndexedSeqView$Reversed extends scala.collection.SeqViewLike$Reversed,scala.collection.mutable.IndexedSeqView$Transformed{
 public abstract void update(int, java.lang.Object);
   Signature: (ILjava/lang/Object;)V
 
diff --git c/scala/collection/mutable/IndexedSeqView$Sliced.class w/scala/collection/mutable/IndexedSeqView$Sliced.class
index 532b866839..036730ef5e 100644
--- c/scala/collection/mutable/IndexedSeqView$Sliced.class
+++ w/scala/collection/mutable/IndexedSeqView$Sliced.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //Sliced=class scala/collection/mutable/IndexedSeqVie
 public abstract #= # of #; //Transformed=class scala/collection/mutable/IndexedSeqView$Transformed of class scala/collection/mutable/IndexedSeqView
 
 Compiled from "IndexedSeqView.scala"
-public interface scala.collection.mutable.IndexedSeqView$Sliced extends scala.collection.SeqViewLike$Sliced,scala.collection.mutable.IndexedSeqView$Transformed,scala.ScalaObject{
+public interface scala.collection.mutable.IndexedSeqView$Sliced extends scala.collection.SeqViewLike$Sliced,scala.collection.mutable.IndexedSeqView$Transformed{
 public abstract int length();
   Signature: ()I
 
diff --git c/scala/collection/mutable/IndexedSeqView$TakenWhile.class w/scala/collection/mutable/IndexedSeqView$TakenWhile.class
index 421a15220c..cc502ecede 100644
--- c/scala/collection/mutable/IndexedSeqView$TakenWhile.class
+++ w/scala/collection/mutable/IndexedSeqView$TakenWhile.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //TakenWhile=class scala/collection/mutable/IndexedSe
 public abstract #= # of #; //Transformed=class scala/collection/mutable/IndexedSeqView$Transformed of class scala/collection/mutable/IndexedSeqView
 
 Compiled from "IndexedSeqView.scala"
-public interface scala.collection.mutable.IndexedSeqView$TakenWhile extends scala.collection.SeqViewLike$TakenWhile,scala.collection.mutable.IndexedSeqView$Transformed,scala.ScalaObject{
+public interface scala.collection.mutable.IndexedSeqView$TakenWhile extends scala.collection.SeqViewLike$TakenWhile,scala.collection.mutable.IndexedSeqView$Transformed{
 public abstract void update(int, java.lang.Object);
   Signature: (ILjava/lang/Object;)V
 
diff --git c/scala/collection/mutable/IndexedSeqView$Transformed.class w/scala/collection/mutable/IndexedSeqView$Transformed.class
index a5dd4c9cb3..d39dfdaa03 100644
--- c/scala/collection/mutable/IndexedSeqView$Transformed.class
+++ w/scala/collection/mutable/IndexedSeqView$Transformed.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Transformed=class scala/collection/SeqViewLike$Tran
 public abstract #= # of #; //Transformed=class scala/collection/mutable/IndexedSeqView$Transformed of class scala/collection/mutable/IndexedSeqView
 
 Compiled from "IndexedSeqView.scala"
-public interface scala.collection.mutable.IndexedSeqView$Transformed extends scala.collection.mutable.IndexedSeqView,scala.collection.SeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.mutable.IndexedSeqView$Transformed extends scala.collection.mutable.IndexedSeqView,scala.collection.SeqViewLike$Transformed{
 public abstract void update(int, java.lang.Object);
   Signature: (ILjava/lang/Object;)V
 
diff --git c/scala/collection/mutable/IndexedSeqView.class w/scala/collection/mutable/IndexedSeqView.class
index 4d5c360cc4..fbbe572917 100644
--- c/scala/collection/mutable/IndexedSeqView.class
+++ w/scala/collection/mutable/IndexedSeqView.class
@@ -14,7 +14,7 @@ public abstract #= # of #; //DroppedWhile$class=class scala/collection/mutable/I
 public abstract #= # of #; //AbstractTransformed=class scala/collection/mutable/IndexedSeqView$AbstractTransformed of class scala/collection/mutable/IndexedSeqView
 
 Compiled from "IndexedSeqView.scala"
-public interface scala.collection.mutable.IndexedSeqView extends scala.collection.mutable.IndexedSeq,scala.collection.mutable.IndexedSeqOptimized,scala.collection.SeqView,scala.collection.SeqViewLike,scala.ScalaObject{
+public interface scala.collection.mutable.IndexedSeqView extends scala.collection.mutable.IndexedSeq,scala.collection.mutable.IndexedSeqOptimized,scala.collection.SeqView{
 public abstract void update(int, java.lang.Object);
   Signature: (ILjava/lang/Object;)V
 
diff --git c/scala/collection/mutable/Iterable$.class w/scala/collection/mutable/Iterable$.class
index ccd0dc2d92..e1a39536b1 100644
--- c/scala/collection/mutable/Iterable$.class
+++ w/scala/collection/mutable/Iterable$.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //GenericCanBuildFrom=class scala/collection/generic/GenTraversableFactory$GenericCanBuildFrom of class scala/collection/generic/GenTraversableFactory
 
 Compiled from "Iterable.scala"
-public final class scala.collection.mutable.Iterable$ extends scala.collection.generic.GenTraversableFactory implements scala.collection.generic.TraversableFactory,scala.ScalaObject{
+public final class scala.collection.mutable.Iterable$ extends scala.collection.generic.GenTraversableFactory implements scala.collection.generic.TraversableFactory{
 public static final scala.collection.mutable.Iterable$ MODULE$;
   Signature: Lscala/collection/mutable/Iterable$;
 
diff --git c/scala/collection/mutable/Iterable.class w/scala/collection/mutable/Iterable.class
index 6fa9004013..a5509bd62e 100644
--- c/scala/collection/mutable/Iterable.class
+++ w/scala/collection/mutable/Iterable.class
@@ -1,6 +1,6 @@
 
 Compiled from "Iterable.scala"
-public interface scala.collection.mutable.Iterable extends scala.collection.mutable.Traversable,scala.collection.Iterable,scala.collection.generic.GenericTraversableTemplate,scala.collection.IterableLike,scala.collection.Parallelizable,scala.ScalaObject{
+public interface scala.collection.mutable.Iterable extends scala.collection.mutable.Traversable,scala.collection.Iterable{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/mutable/LazyBuilder.class w/scala/collection/mutable/LazyBuilder.class
index 543d22e8c7..255860847a 100644
--- c/scala/collection/mutable/LazyBuilder.class
+++ w/scala/collection/mutable/LazyBuilder.class
@@ -1,6 +1,6 @@
 
 Compiled from "LazyBuilder.scala"
-public abstract class scala.collection.mutable.LazyBuilder extends java.lang.Object implements scala.collection.mutable.Builder,scala.ScalaObject{
+public abstract class scala.collection.mutable.LazyBuilder extends java.lang.Object implements scala.collection.mutable.Builder{
 private scala.collection.mutable.ListBuffer parts;
   Signature: Lscala/collection/mutable/ListBuffer;
 
diff --git c/scala/collection/mutable/LinearSeq.class w/scala/collection/mutable/LinearSeq.class
index b176170884..13f0279a35 100644
--- c/scala/collection/mutable/LinearSeq.class
+++ w/scala/collection/mutable/LinearSeq.class
@@ -1,6 +1,6 @@
 
 Compiled from "LinearSeq.scala"
-public interface scala.collection.mutable.LinearSeq extends scala.collection.mutable.Seq,scala.collection.LinearSeq,scala.collection.generic.GenericTraversableTemplate,scala.collection.LinearSeqLike,scala.ScalaObject{
+public interface scala.collection.mutable.LinearSeq extends scala.collection.mutable.Seq,scala.collection.LinearSeq{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/mutable/LinkedEntry.class w/scala/collection/mutable/LinkedEntry.class
index 50cdec855b..e486c9bc31 100644
--- c/scala/collection/mutable/LinkedEntry.class
+++ w/scala/collection/mutable/LinkedEntry.class
@@ -1,6 +1,6 @@
 
 Compiled from "LinkedEntry.scala"
-public final class scala.collection.mutable.LinkedEntry extends java.lang.Object implements scala.collection.mutable.HashEntry,scala.Serializable,scala.ScalaObject{
+public final class scala.collection.mutable.LinkedEntry extends java.lang.Object implements scala.collection.mutable.HashEntry,scala.Serializable{
 private final java.lang.Object key;
   Signature: Ljava/lang/Object;
 
diff --git c/scala/collection/mutable/LinkedHashMap.class w/scala/collection/mutable/LinkedHashMap.class
index b337e49526..316a599245 100644
--- c/scala/collection/mutable/LinkedHashMap.class
+++ w/scala/collection/mutable/LinkedHashMap.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //HashUtils=class scala/collection/mutable/HashTable$
 public abstract #= # of #; //HashUtils$class=class scala/collection/mutable/HashTable$HashUtils$class of class scala/collection/mutable/HashTable
 
 Compiled from "LinkedHashMap.scala"
-public class scala.collection.mutable.LinkedHashMap extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.collection.mutable.MapLike,scala.collection.mutable.HashTable,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.LinkedHashMap extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.collection.mutable.HashTable,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/LinkedHashSet.class w/scala/collection/mutable/LinkedHashSet.class
index 2c58886bf0..d419a4d420 100644
--- c/scala/collection/mutable/LinkedHashSet.class
+++ w/scala/collection/mutable/LinkedHashSet.class
@@ -4,7 +4,7 @@ public abstract #= # of #; //HashUtils=class scala/collection/mutable/FlatHashTa
 public abstract #= # of #; //HashUtils$class=class scala/collection/mutable/FlatHashTable$HashUtils$class of class scala/collection/mutable/FlatHashTable
 
 Compiled from "LinkedHashSet.scala"
-public class scala.collection.mutable.LinkedHashSet extends scala.collection.mutable.AbstractSet implements scala.collection.mutable.Set,scala.collection.generic.GenericSetTemplate,scala.collection.mutable.SetLike,scala.collection.mutable.FlatHashTable,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.LinkedHashSet extends scala.collection.mutable.AbstractSet implements scala.collection.mutable.Set,scala.collection.mutable.FlatHashTable,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/LinkedList.class w/scala/collection/mutable/LinkedList.class
index e7031965b4..92be0d8fc6 100644
--- c/scala/collection/mutable/LinkedList.class
+++ w/scala/collection/mutable/LinkedList.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "LinkedList.scala"
-public class scala.collection.mutable.LinkedList extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.LinearSeq,scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.LinkedListLike,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.LinkedList extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.LinearSeq,scala.collection.mutable.LinkedListLike,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/LinkedListLike.class w/scala/collection/mutable/LinkedListLike.class
index 6f361a25d2..36702ef04f 100644
--- c/scala/collection/mutable/LinkedListLike.class
+++ w/scala/collection/mutable/LinkedListLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "LinkedListLike.scala"
-public interface scala.collection.mutable.LinkedListLike extends scala.collection.mutable.SeqLike,scala.ScalaObject{
+public interface scala.collection.mutable.LinkedListLike extends scala.collection.mutable.SeqLike{
 public abstract java.lang.Object elem();
   Signature: ()Ljava/lang/Object;
 
diff --git c/scala/collection/mutable/ListBuffer.class w/scala/collection/mutable/ListBuffer.class
index a9c00387cb..b59370692e 100644
--- c/scala/collection/mutable/ListBuffer.class
+++ w/scala/collection/mutable/ListBuffer.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "ListBuffer.scala"
-public final class scala.collection.mutable.ListBuffer extends scala.collection.mutable.AbstractBuffer implements scala.collection.mutable.Buffer,scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.BufferLike,scala.collection.mutable.Builder,scala.collection.generic.SeqForwarder,scala.Serializable,scala.ScalaObject{
+public final class scala.collection.mutable.ListBuffer extends scala.collection.mutable.AbstractBuffer implements scala.collection.mutable.Buffer,scala.collection.mutable.Builder,scala.collection.generic.SeqForwarder,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/ListMap.class w/scala/collection/mutable/ListMap.class
index 5111015fd4..110082154c 100644
--- c/scala/collection/mutable/ListMap.class
+++ w/scala/collection/mutable/ListMap.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ListMap.scala"
-public class scala.collection.mutable.ListMap extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.collection.mutable.MapLike,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.ListMap extends scala.collection.mutable.AbstractMap implements scala.collection.mutable.Map,scala.Serializable{
 private scala.collection.immutable.List elems;
   Signature: Lscala/collection/immutable/List;
 
diff --git c/scala/collection/mutable/Map$WithDefault.class w/scala/collection/mutable/Map$WithDefault.class
index 019eeb9627..92c919a185 100644
--- c/scala/collection/mutable/Map$WithDefault.class
+++ w/scala/collection/mutable/Map$WithDefault.class
@@ -3,7 +3,7 @@ public #= # of #; //WithDefault=class scala/collection/mutable/Map$WithDefault o
 public abstract #= # of #; //WithDefault=class scala/collection/Map$WithDefault of class scala/collection/Map
 
 Compiled from "Map.scala"
-public class scala.collection.mutable.Map$WithDefault extends scala.collection.Map$WithDefault implements scala.collection.mutable.Map,scala.ScalaObject{
+public class scala.collection.mutable.Map$WithDefault extends scala.collection.Map$WithDefault implements scala.collection.mutable.Map{
 private final scala.collection.mutable.Map underlying;
   Signature: Lscala/collection/mutable/Map;
 
